
TYPO3.Neos - Task # 52524

Status: Resolved Priority: Should have
Author: Dominique Feyer Category:
Created: 2013-10-04 Assigned To: Dominique Feyer
Updated: 2013-10-15 Due date:
Subject: Allow sorting and extending nodeTypeGroups in node type wizard
Description

Currently the TYPO3.Neos.nodeTypeGroups is a simple array, and really hard to extend. This task propose a new synthax like:

  Neos:
    nodeTypeGroups:
      general:
        position: 'start'
        label: 'General'
      structure:
        position: 100
        label: 'Structure'
      plugins:
        position: 200
        label: 'Plugins'

With this synthax, any package can add a new group, change ordering, or remove an existing group.

Associated revisions
Revision 76a93ab4 - 2013-10-15 21:47 - Rens Admiraal

[!!!][TASK] Make TYPO3.Neos.nodeTypes.groups extensible and sortable

This changes allows package authors to define their own nodeTypeGroups
without having to overwrite the default settings. It also gets rid of the need
for the integrator to redeclare every nodeTypeGroup in the Distributions
Settings.yaml if he wants to add new ones.

The configuration of TYPO3.Neos.nodeTypes.groups changes to the following format::
TYPO3:
    Neos:
      nodeTypes:
        groups:
          general:
            position: 'start'
            label: 'General'
          structure:
            position: 100
            label: 'Structure'

This change is breaking because the "group" settings in the NodeTypes.yaml
now has to use the key instead of the label and the Settings.yaml
structure has changed.
Change-Id: I61212ebc08b4824f6e8be7a1b6a60207fc98e40b
Resolves: #52524
Reviewed-on: https://review.typo3.org/24356
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns

History
#1 - 2013-10-04 16:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#2 - 2013-10-10 19:10 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#3 - 2013-10-10 19:15 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#4 - 2013-10-10 19:24 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#5 - 2013-10-12 10:03 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#6 - 2013-10-12 10:05 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#7 - 2013-10-14 22:11 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#8 - 2013-10-14 22:13 - Gerrit Code Review
Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#9 - 2013-10-14 22:17 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#10 - 2013-10-15 16:25 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#11 - 2013-10-15 21:46 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24356

#12 - 2013-10-15 22:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:76a93ab440976190cf025c35db50e432546c7753.
